Yaf_View_Simple::assignRef
Yaf_View_Simple::__construct
Yaf_View_Simple
PHP Manual

# Yaf_View_Simple::clear

(Yaf >=2.2.0)

Yaf_View_Simple::clear — Clear Assigned values

### Description

public bool Yaf_View_Simple::clear ([ string `$name` ] )

clear assigned variable

### Parameters

`name`

  assigned variable name

  if empty, will clear all assigned variables

### Return Values

### Examples

Example #1 Yaf_View_Simple::clear()example

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->clear("foo")->clear("bar"); // clear "foo" and "bar"
$this->_view->clear(); //clear all assigned variables
}
?>`

### See Also

- Yaf_View_Simple::assignRef() - The assignRef purpose
- Yaf_View_Interface::assign() - Assign value to View engine
- Yaf_View_Simple::__set() - Set value to engine

Yaf_View_Simple::assignRef
Yaf_View_Simple::__construct
Yaf_View_Simple
PHP Manual